/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.internet.entity;

public interface InternetWidgetBase extends 
de.ivu.elect.jee.entity.customdata.CustomDataEntity<InternetWidgetPK, InternetWidgetUK>

{

  
  /**
   * getter for primary key wrapper INTERNET_WIDGET.internet_widget_id
   *
   * @return
   */
  @Override
  InternetWidgetPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for INTERNET_WIDGET.BESCHREIBUNG
   *
   */
  java.lang.String getBeschreibung();

  /**
   * 
   *
   * setter for INTERNET_WIDGET.BESCHREIBUNG
   *
   * @param beschreibung
   */
  void setBeschreibung(java.lang.String beschreibung);
      

  /**
   * 
   *
   * getter for INTERNET_WIDGET.BREITE
   *
   */
  de.ivu.elect.business.internet.entity.InternetWidgetBreite getBreite();

  /**
   * 
   *
   * setter for INTERNET_WIDGET.BREITE
   *
   * @param breite
   */
  void setBreite(de.ivu.elect.business.internet.entity.InternetWidgetBreite breite);
      

  /**
   * 
   *
   * getter for INTERNET_WIDGET.IDENTIFIER
   *
   */
  java.lang.String getIdentifier();

  /**
   * 
   *
   * setter for INTERNET_WIDGET.IDENTIFIER
   *
   * @param identifier
   */
  void setIdentifier(java.lang.String identifier);
      

  /**
   * 
   *
   * getter for INTERNET_WIDGET.POSITION
   *
   */
  java.lang.Long getPosition();

  /**
   * 
   *
   * setter for INTERNET_WIDGET.POSITION
   *
   * @param position
   */
  void setPosition(java.lang.Long position);
      

  /**
   * 
   *
   * getter for INTERNET_WIDGET.SPRUNGMARKE
   *
   */
  java.lang.String getSprungmarke();

  /**
   * 
   *
   * setter for INTERNET_WIDGET.SPRUNGMARKE
   *
   * @param sprungmarke
   */
  void setSprungmarke(java.lang.String sprungmarke);
      

  /**
   * 
   *
   * getter for INTERNET_WIDGET.STATUS
   *
   */
  de.ivu.elect.business.internet.entity.InternetWidgetStatus getStatus();

  /**
   * 
   *
   * setter for INTERNET_WIDGET.STATUS
   *
   * @param status
   */
  void setStatus(de.ivu.elect.business.internet.entity.InternetWidgetStatus status);
      

  /**
   * 
   *
   * getter for INTERNET_WIDGET.WIDGET_TYP
   *
   */
  de.ivu.elect.business.internet.entity.InternetWidgetTyp getWidgetTyp();

  /**
   * 
   *
   * setter for INTERNET_WIDGET.WIDGET_TYP
   *
   * @param widgetTyp
   */
  void setWidgetTyp(de.ivu.elect.business.internet.entity.InternetWidgetTyp widgetTyp);
      

  /**
   * 
   *
   * getter for INTERNET_WIDGET.ZEILE
   *
   */
  java.lang.Long getZeile();

  /**
   * 
   *
   * setter for INTERNET_WIDGET.ZEILE
   *
   * @param zeile
   */
  void setZeile(java.lang.Long zeile);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setCustomDataStorage(de.ivu.elect.business.customdata.entity.CustomDataStorage customDataStorage);

  /**
   * 
   */
  de.ivu.elect.business.customdata.entity.CustomDataStorage getCustomDataStorage();



/**
 * Beziehungen N:1 bidirektional
 */

  /**
   * 
   */
  void setInternetSeite(de.ivu.elect.business.internet.entity.InternetSeite internetSeite);


/**
 * 
 * Kein Update der bidirektionalen Beziehung - schneller, aber mit Vorsicht zu genießen
 */
   void setInternetSeiteOhneUpdateBeziehung(de.ivu.elect.business.internet.entity.InternetSeite internetSeite);

/**
   * 
   */
  de.ivu.elect.business.internet.entity.InternetSeite getInternetSeite();




/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
